
var httpData=GetRequest(),
	doctorInfo = JSON.parse(window.localStorage.getItem('wlyyAgent'));

var refuseReason = null;

function showSuccessMessage(msg) {
	layer.msg(msg, {
		icon: 1
	})
}

function showErrorMessage(msg) {
	layer.msg(msg, {
		icon: 5
	})
}

function showWarningMessage(msg) {
	layer.msg(msg, {
		icon: 2
	})
}

function showInfoMessage(msg) {
	layer.msg(msg, {
		icon: 6
	})
}

function getReason(ele) {
	if(ele.hasClass("active")) {
		ele.removeClass("active")
		refuseReason = null
		return false;
	}
	ele.addClass("active").siblings().removeClass("active");
	refuseReason = ele.html();
}

top.changeTypeIndex=null;//修改居民标签的窗体

top.handleVue=new Vue({
    el: "#app",
    data: {
    	doctorType: doctorInfo.doctorType,
    	isShowList1: false,
    	isShowList2: false,
    	isShowList3: false,
    	isShowList4: false,
    	showTit3: "请选择补贴类型",
    	showTit5: "请选择居民标签",
    	patientInfo: null,
    	warnMsg: "",
    	teamList: null,
    	memberList: null, // 团队成员列表
    	doctorList: null, // 全科医生列表
    	dictList: null,
    	fileList: null,
    	serverName: null,
    	serverCode: null,
    	signInfo: {
            signType: 1,
            majorDoctor: null,
            majorDoctorName: null,
            healthLabel: null,
            customLabel: null,
            disease: null,
            patientIDcard: null, // 必填
            adminTeamCode: null,
            msgid: httpData.msgId, // 消息id（必填）
            patient: httpData.patientCode,
            doctor: null,
            doctorName: null,
            healthDoctor: null,
            healthDoctorName: null,
            type: 1,
            expenses: null,
            group: null,
            //添加服务类型数据
            sevId: null,
            // 拒绝参数
//		                adminTeamCode:0,
//		                type: 2,
       		refuseReason: null
        },
    },
    mounted: function() {
    	this.getDictByDictName();
    	this.teamLimit();
    	this.patientLabel();
    	this.findPatientSignServerBySignCode();
    },
    methods: {
    	signing: function() {
    		var vm = this,
    			loadding = layer.load(0, {shade: false}),
    			params = {
    				patient: httpData.patientCode
    			}
			signAPI.signing(params).then(function(res) {
				layer.close(loadding)
				if(res.status == 200) {
					vm.patientInfo = res.data
				} else {
					showErrorMessage(res.msg);
				}
			})
    	},
    	selectServer:function(){
    		var vm=this
    		if(top.changeTypeIndex && top.$('#layui-layer-shade'+top.changeTypeIndex).length){    			
    			(top.$('#layui-layer-shade'+top.changeTypeIndex).show(),top.$('#layui-layer'+top.changeTypeIndex).show());
    		}else{
    			top.changeTypeIndex=top.layer.open({
	        		type: 2,
	        		area: ['500px', '405px'],
	        		title: "修改居民标签",
	        		shade: 0.5,
	        		shadeClose: false,
	        		closeBtn: 0,
	        		shift: 2,
	        		content: '../html/modify-the-label.html?patient=' + httpData.patientCode+'&teamCode='+vm.signInfo.adminTeamCode
	        	});
    		}
    	},
    	acceptanceRes:function(res){
    		console.log(res)
    	},
    	signOuttime: function() {
    		var vm = this,
    			loadding = layer.load(0, {shade: false}),
    			params = {
    				patient: httpData.patientCode
    			}
			signAPI.signOuttime(params).then(function(res) {
				layer.close(loadding)
				if(res.status == 200) {
					vm.patientInfo = res.data
					vm.signInfo.adminTeamCode = vm.patientInfo.jtSign.adminTeamId
					vm.signInfo.healthDoctorName = vm.patientInfo.jtSign.doctorHealthName || ""
					vm.signInfo.healthDoctor = vm.patientInfo.jtSign.doctorHealth || ""
					vm.signInfo.doctor = vm.patientInfo.jtSign.doctor || ""
					vm.signInfo.doctorName = vm.patientInfo.jtSign.doctorName || ""
					vm.signInfo.expenses = vm.patientInfo.jtSign.expensesType
					vm.judgeTeamToDoc(vm.signInfo.adminTeamCode)
				} else {
					showErrorMessage(res.msg);
				}
			})
    	},
    	judgeTeamToDoc: function(teamCode) {
    		var judge = false
    		for(var i = 0, len = this.teamList.length; i < len; i++) {
    			if(this.teamList[i].id == teamCode) {
    				judge = true
    				this.teamMember()
    			}
    		}
    		if(!judge) {
    			this.signInfo.adminTeamCode = null
    			this.warnMsg = "您已不在原签约团队,请选择新的签约团队"
    			if(this.doctorType == 2) {
					this.signInfo.healthDoctorName = null
					this.signInfo.healthDoctor = null
				} else {
					this.signInfo.doctor = null
					this.signInfo.doctorName = null
				}
    		}
    	},
    	patientLabel: function() {
    		var vm =this,
    			loadding = layer.load(0, {shade: false}),
    			params = {
    				patient: httpData.patientCode,
    				labelType: null
    			}
			signAPI.patientLabel(params).then(function(res) {
				layer.close(loadding)
				if(res.status == 200) {
				} else {
					showErrorMessage(res.msg);
				}
			})
    	},
    	getDictByDictName: function() {
    		var vm =this,
    			loadding = layer.load(0, {shade: false}),
    			params = {
    				name: "SIGN_EXPENSES"
    			}
			signAPI.getDictByDictName(params).then(function(res) {
				layer.close(loadding)
				if(res.status == 200) {
					vm.dictList = res.list
				} else {
					showErrorMessage(res.msg);
				}
			})
    	},
    	teamLimit: function() {
    		var vm = this,
    			loadding = layer.load(0, {shade: false}),
    			params = {
    				doctorId: doctorInfo.uid
    			}
			signAPI.teamLimit(params).then(function(res) {
				layer.close(loadding)
				if(res.status == 200) {
					vm.teamList = res.data
					if (httpData.status == 0) {
			    		vm.signing()
			    	} else {
			    		vm.signOuttime();
			    	}
				} else {
					showErrorMessage(res.msg);
				}
			})
    	},
    	findPatientSignServerBySignCode: function() {
    		var vm =this,
    			loadding = layer.load(0, {shade: false}),
    			params = {
					signCode: httpData.signCode
    			};
			signAPI.findPatientSignServerBySignCode(params).then(function(res) {
				layer.close(loadding)
				if(res.status == 200) {
					vm.fileList = [];
					var len = res.data.length;
					if(res.data.length > 0) {
						vm.serverName = "";
						vm.serverCode = "";
						for(var i = 0; i < len; i++) {
							if(i == 0) {
								vm.serverName += res.data[i].serverTypeName
								vm.serverCode += res.data[i].servetType
							} else {
								vm.serverName += + ', ' + res.data[i].serverTypeName
								vm.serverCode += +',' +  res.data[i].servetType
							}
						}
					}
					$.each(res.data, function(i, v) {
		                if(v.serverType == 8 || v.serverType == 9 || v.serverType == 11) {
		                    vm.fileList.push(v);
		                }
		            });
				} else {
					showErrorMessage(res.msg);
				}
			})
		},
    	teamMember: function() {
    		var vm = this,
    			loadding = layer.load(0, {shade: false}),
    			params = {
    				teamId: vm.signInfo.adminTeamCode
    			}
			signAPI.teamMember(params).then(function(res) {
				layer.close(loadding)
				vm.memberList = [];
				vm.doctorList = [];
				if(res.status == 200) {
					var judge = false
					$.each(res.data, function(i, v) {
						if(v.available) {
							if(v.code == vm.signInfo.doctor && vm.doctorType == 3) {
								judge = true
							}
							if(v.code == vm.signInfo.healthDoctor && vm.doctorType == 2) {
								judge = true
			            	}
						}
		                if(v.available && (v.level == 3 || v.level == 2)) {vm.memberList.push(v);}
		                if(v.available && v.level == 2) {vm.doctorList.push(v);}
		            });
		            if(!judge) {
		            	if(vm.doctorType == 3) {
							vm.signInfo.doctor = null
		            		vm.signInfo.doctorName = null
		            		vm.warnMsg = "居民续签的全科医生已不在您的团队，请重新选择一位全科医生"
						}
						if(vm.doctorType == 2) {
							vm.signInfo.healthDoctor = null
		            		vm.signInfo.healthDoctorName = null
		            		vm.warnMsg = "居民续签的健管师已不在您的团队，请重新选择一位健管师"
		            	}
						top.changeTypeIndex=null
		            }
				} else {
					showErrorMessage(res.msg);
				}
			})
   		},
    	selectStatus: function(num) {
    		if(num == 1) {
    			this.isShowList2 = false;
    			this.isShowList3 = false;
    			this.isShowList4 = false;
    			this.isShowList1 = !this.isShowList1;
    		} else if (num == 2) {
    			if(!this.signInfo.adminTeamCode) {
    				showWarningMessage("请先选择签约团队")
    				return false;
    			}
    			this.isShowList1 = false;
    			this.isShowList3 = false;
    			this.isShowList4 = false;
    			this.isShowList2 = !this.isShowList2;
    		} else if (num == 3) {
    			this.isShowList1 = false;
    			this.isShowList2 = false;
    			this.isShowList4 = false;
    			this.isShowList3 = !this.isShowList3;
    		} else {
    			this.isShowList1 = false;
    			this.isShowList2 = false;
    			this.isShowList3 = false;
    			this.isShowList4 = !this.isShowList4;
    		}
            
        },
        selectLi: function(num, data) {
        	if(num == 1) { // 选择签约团队
        		this.isShowList1 = false;
	            this.signInfo.adminTeamCode = data.id;
	            if(this.doctorType == 2) {
	            	this.signInfo.healthDoctor = null
	            	this.signInfo.healthDoctorName = null
	            }
	            if(this.doctorType == 3) {
	            	this.signInfo.doctor = null
	            	this.signInfo.doctorName = null
	            }
	            if(!this.memberList || !this.doctorList) {
	            	this.teamMember()
	            }
        	}
        	if(num == 2) { // 选择健管师
        		this.isShowList2 = false;
	            this.signInfo.healthDoctorName = data.name
	            this.signInfo.healthDoctor = data.code
        	}
			if(num == 3) {
				this.isShowList3 = false;
				this.signInfo.expenses = data.code;
			}
			if(num == 4) { // 选择全科医生
				this.isShowList4 = false;
	            this.signInfo.doctorName = data.name
	            this.signInfo.doctor = data.code
			}
        },
        showTeamName: function(teamCode) {
        	var teamName;
        	if(!this.teamList) {
        		return "请选择签约团队";
        	}
        	for(var i = 0, len = this.teamList.length; i < len; i++) {
        		if(teamCode == this.teamList[i].id) {
        			teamName = this.teamList[i].name;
        		}
        	}
        	return teamName
        },
        showExpensesName: function(code) {
        	var expensesName;
        	if(!this.dictList) {
        		return "请选择补贴类型";
        	}
        	for(var i = 0, len = this.dictList.length; i < len; i++) {
        		if(code == this.dictList[i].code) {
        			expensesName = this.dictList[i].value;
        		}
        	}
        	return expensesName
        },
        setPatImg: function(str) {
        	var imgStr = httpRequest.getImgUrl(str);
        	if (imgStr == "") {
        		return '../../../images/p-female.png';
        	} else {
        		return imgStr;
        	}
        },
        lookPhoto: function(data) {
        	layer.open({
        		type: 2,
        		area: ['100%', '100%'],
        		title: "凭证预览",
        		shade: 0.5,
        		shadeClose: true,
        		shift: 2,
        		content: '../html/photo_show.html?serverType=' + data.serverType + '&patientCode=' + httpData.patientCode
        	})
        },
        refuse: function() {
        	var vm = this;
        	layer.open({
				type: 1,
				area: ['400px', '300px'],
				shade: 0.5,
				title: '拒绝签约原因',
				shift: 2,
				shadeClose: false, //点击遮罩关闭层
				content: '<div class="p20 pb0"><div class="reason_list clearfix"><span class="fl mr10 mb20" onclick="getReason($(this))">居民信息填写不详</span><span class="fl mr10 mb20" onclick="getReason($(this))">签约人数已满</span><span class="fl mb20" onclick="getReason($(this))">家庭医生变更</span></div><textarea id="reason" maxLength="200" placeholder="可选择填写其他拒签原因(限200字以内)"></textarea></div>',
				btn: ['提 交', '取 消'],
				yes:function(index, layero) {
					if(!refuseReason) {
						if(!$("#reason").val()) {
							showWarningMessage("请选择或输入拒绝理由！");
							layer.close(index);
							return false
						}
						vm.signInfo.refuseReason = $("#reason").val()
						vm.signInfo.adminTeamCode = 0
						vm.signInfo.type = 2
						vm.sign()
					}
					layer.close(index);
				},
				success: function(layero){
					layero.find('.layui-layer-btn').css('text-align', 'center')
				}
			});
        },
        sign: function() {// type:1签约 2拒签
        	var vm = this,
    			loadding = layer.load(0, {shade: false});
			signAPI.sign(vm.signInfo).then(function(res) {
				layer.close(loadding)
				if(res.status == 200) {
					
				} else {
					showErrorMessage(res.msg);
				}
			})
        }
    }
})
